package com.link.core.basic.model;

import java.util.List;
import java.util.Map;

public class EmailInfo extends BasicModel {
   private String protocol = "smtp";
   private String host;
   private String port = "25";
   private String username;
   private String password;
   private String enableDebug = "true";
   private String enableAuth = "true";
   private String subject;
   private String content;
   private String contentType;
   private Map<String, String> images;
   private List<String> attachment;
   private String from;
   private String to;
   private String toCc;
   private String toBcc;
   private String status;
   private String errorMsg;
   private String sendTime;
   private String sendedTime;

   public String getProtocol() {
      return this.protocol;
   }

   public void setProtocol(String protocol) {
      this.protocol = protocol;
   }

   public String getHost() {
      return this.host;
   }

   public void setHost(String host) {
      this.host = host;
   }

   public String getPort() {
      return this.port;
   }

   public void setPort(String port) {
      this.port = port;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getEnableDebug() {
      return this.enableDebug;
   }

   public void setEnableDebug(String enableDebug) {
      this.enableDebug = enableDebug;
   }

   public String getEnableAuth() {
      return this.enableAuth;
   }

   public void setEnableAuth(String enableAuth) {
      this.enableAuth = enableAuth;
   }

   public String getSubject() {
      return this.subject;
   }

   public void setSubject(String subject) {
      this.subject = subject;
   }

   public String getContent() {
      return this.content;
   }

   public void setContent(String content) {
      this.content = content;
   }

   public String getContentType() {
      return this.contentType;
   }

   public void setContentType(String contentType) {
      this.contentType = contentType;
   }

   public Map<String, String> getImages() {
      return this.images;
   }

   public void setImages(Map<String, String> images) {
      this.images = images;
   }

   public List<String> getAttachment() {
      return this.attachment;
   }

   public void setAttachment(List<String> attachment) {
      this.attachment = attachment;
   }

   public String getFrom() {
      return this.from;
   }

   public void setFrom(String from) {
      this.from = from;
   }

   public String getTo() {
      return this.to;
   }

   public void setTo(String to) {
      this.to = to;
   }

   public String getToCc() {
      return this.toCc;
   }

   public void setToCc(String toCc) {
      this.toCc = toCc;
   }

   public String getToBcc() {
      return this.toBcc;
   }

   public void setToBcc(String toBcc) {
      this.toBcc = toBcc;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getErrorMsg() {
      return this.errorMsg;
   }

   public void setErrorMsg(String errorMsg) {
      this.errorMsg = errorMsg;
   }

   public String getSendTime() {
      return this.sendTime;
   }

   public void setSendTime(String sendTime) {
      this.sendTime = sendTime;
   }

   public String getSendedTime() {
      return this.sendedTime;
   }

   public void setSendedTime(String sendedTime) {
      this.sendedTime = sendedTime;
   }
}
